<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];
  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];
  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
  
  $id_carrera=$_POST["id_carrera"];
  $sede=$_POST["sede"];
  $id_periodo=$_POST["id_periodo"];
  $id_seccion=$_POST["id_seccion"];
  $semestre=$_POST["semestre"];
  $turno=$_POST["turno"];
 
  $pensum=$_POST["pensum"];
  $nivel=$_POST["nivel"];
  $mencion=$_POST["mencion"];
  
  
  if ($id_carrera=="") {
      $id_carrera=$_GET["id_carrera"];
  	  $sede=$_GET["sede"];
  	  $id_periodo=$_GET["id_periodo"];
	  $id_seccion=$_GET["id_seccion"];
	  $semestre=$_GET["semestre"];
	  $turno=$_GET["turno"];
	  $mencion=$_GET["mencion"];
	  $pensum=$_GET["pensum"];
      $nivel=$_GET["nivel"];
   }  
 
   if($nivel=="CIU"){
     $nombre_nivel="CURSO DE INICIACION UNIVERSITARIA";
  }
  if($nivel=="CG"){
     $nombre_nivel="COMPONENTE GENERAL";
  }
  if($nivel=="CP"){
     $nombre_nivel="CICLO PROFESIONAL";
  }
    mysql_select_db($database_conn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes WHERE codigo='$sede'";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	$nombre_sede=$row_rstSede['nombre_sede'];
	
	$nombre_mencion="COMÚN";
	$query_menciones = "SELECT id_mencion,nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion'";
    $rst_menciones = mysql_query($query_menciones, $conn) or die(mysql_error());
    $row_menciones = mysql_fetch_assoc($rst_menciones);
    $totalRows_menciones = mysql_num_rows($rst_menciones);
	if($totalRows_menciones>0) $nombre_mencion= $row_menciones['nombre_mencion'];
	
	
	$query_rstPeriodo = "SELECT periodos.id_periodo, periodos.codigo,periodos.annio FROM periodos WHERE id_periodo='$id_periodo'";
	$rstPeriodo = mysql_query($query_rstPeriodo, $conn) or die(mysql_error());
	$row_rstPeriodo = mysql_fetch_assoc($rstPeriodo);
	$totalRows_rstPeriodo = mysql_num_rows($rstPeriodo);
	$nombre_periodo=$row_rstPeriodo['codigo'];
	
	
	$query_rstCarrera = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
	$rstCarrera = mysql_query($query_rstCarrera, $conn) or die(mysql_error());
	$row_rstCarrera = mysql_fetch_assoc($rstCarrera);
	$totalRows_rstCarrera = mysql_num_rows($rstCarrera);
	$nombre_carrera=$row_rstCarrera['nombre_carrera'];
	

    $query_rstTurnos = "SELECT turno FROM turnos where codigo='$turno'";
    $rstTurnos = mysql_query($query_rstTurnos, $conn) or die(mysql_error());
    $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
    $totalRows_rstTurnos = mysql_num_rows($rstTurnos);
    $nombre_turno=$row_rstTurnos['turno'];
	
?>

<html>
<head>
<title>sadce -- oferta_academica</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Oferta Acad&eacute;mica</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
<td align="left"><b>PROGRAMA:</b>
     <?php echo $nombre_carrera.' ('.$id_carrera.')' ?></td>
</tr>
<tr>
<td align="left"><b>PENSUM:</b>
     <?php echo $pensum ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_mencion ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>NIVEL:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_nivel ?></td>
</tr>
<tr>
    <td align="left"><b>SEDE:</b>&nbsp;&nbsp;&nbsp; <?php echo $nombre_sede ?><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PER&Iacute;ODO:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_periodo ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEMESTRE:</b>&nbsp;&nbsp;&nbsp; <?php echo $semestre ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:</b>&nbsp;&nbsp;&nbsp; <?php echo $id_seccion ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b>&nbsp;&nbsp;&nbsp; <?php echo $nombre_turno ?></td>
</tr>
</table>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  
  switch ($sql) {
    case "insert":
      sql_insert($id_carrera,$sede,$id_periodo, $id_seccion);
      break;
    case "update":
      sql_update($id_carrera,$sede,$id_periodo, $id_seccion);
      break;
    case "delete":
      sql_delete($id_carrera,$sede,$id_periodo, $id_seccion);
      break;
  }

  switch ($a) {
    case "add":
      addrec($id_carrera,$sede,$id_periodo,$id_seccion, $semestre);
      break;
    case "view":
      viewrec($recid,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre);
      break;
    case "edit":
      editrec($recid,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre);
      break;
    case "del":
      deleterec($recid,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre);
      break;
    default:
      select($id_carrera,$sede,$id_periodo, $id_seccion);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php


 function select($id_carrera, $sede, $id_periodo, $id_seccion)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $semestre;
  global $turno;
  global $nombre_mencion;
  global $nivel;
  global $pensum;
  global $mencion;

  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($id_carrera,$sede,$id_periodo, $id_seccion);
  $count = sql_getrecordcount($id_carrera,$sede,$id_periodo, $id_seccion);
 
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr><td>Unidades Curriculares Ofertadas <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>" method="post">
<table class="bd" border="0" cellspacing="0" cellpadding="2">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "id_materia" ?>"<?php if ($filterfield == "id_materia") { echo "selected"; } ?>><?php echo htmlspecialchars("Unidad Curricular") ?></option>
<option value="<?php echo "nprofesor" ?>"<?php if ($filterfield == "nprofesor") { echo "selected"; } ?>><?php echo htmlspecialchars("Docente") ?></option>
</select>
</td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="oferta_academica.php?a=reset&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount, $id_carrera, $sede, $id_periodo, $id_seccion, $semestre); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="2"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>

<td class="hr" align="center"><a class="hr" href="oferta_academica.php?order=<?php echo "id_materia" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Código") ?></a></td>
<td class="hr" align="center"><a class="hr" href="oferta_academica.php?order=<?php echo "nmateria" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Unidad Curricular") ?></a></td>
<td class="hr" align="center"><a class="hr" href="oferta_academica.php?order=<?php echo "nprofesor" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Docente") ?></a></td>
<td class="hr" align="center"><a class="hr" href="oferta_academica.php?order=<?php echo "cupos" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Cupos") ?></a></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="oferta_academica.php?a=view&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="oferta_academica.php?a=edit&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>"><img src="imagenes/edit.gif" border="0"</a></td>
<td class="<?php echo $style ?>" align="center"><a href="oferta_academica.php?a=del&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>"><img src="imagenes/delete.png" border="0"></a></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_materia"]) ?></td
><td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nmateria"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nprofesor"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["cupos"]) ?></td>

</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nmateria"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horario")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["horario"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Docente")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nprofesor"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cupos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Inscritos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["inscritos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["annio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Preinscritos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["preinscritos"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode,$id_carrera,$sede,$id_periodo,$id_seccion,$semestre)
   {
  global $conn;
  // $conn=connect();

	mysql_select_db($database_conn, $conn);
	  mysql_query ("SET NAMES 'utf8'");
	/*$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_carrera='$id_carrera' and semestre='$semestre'";
	$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
	$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
	$totalRows_rstMaterias = mysql_num_rows($rstMaterias);*/
	
	$cod_materia=$row['id_materia'];

	$query_rstMaterias1 = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_materia='$cod_materia' and  id_carrera='$id_carrera'";
	$rstMaterias1 = mysql_query($query_rstMaterias1, $conn) or die(mysql_error());
	$row_rstMaterias1 = mysql_fetch_assoc($rstMaterias1);
	$totalRows_rstMaterias1 = mysql_num_rows($rstMaterias1);
	
	
	$query_rstDocente = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes WHERE id_docente>0 order by docentes.apellidos,docentes.nombres";
	$rstDocente = mysql_query($query_rstDocente, $conn) or die(mysql_error());
	$row_rstDocente = mysql_fetch_assoc($rstDocente);
	$totalRows_rstDocente = mysql_num_rows($rstDocente);
	
	$id_docente=$row['id_profesor'];
	
	$query_rstDocente1 = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes WHERE id_docente='$id_docente' ORDER BY docentes.apellidos,docentes.nombres";
	$rstDocente1 = mysql_query($query_rstDocente1, $conn) or die(mysql_error());
	$row_rstDocente1 = mysql_fetch_assoc($rstDocente1);
	$totalRows_rstDocente1 = mysql_num_rows($rstDocente1);

?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="85%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstMaterias1['nombre_materia']) ?></td>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horario (*)")."&nbsp;" ?></td>
<td class="dr"><input name="horario" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["horario"])) ?>" size="50" maxlength="50"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Facilitador (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="id_profesor" >
<option value="<?php echo $row_rstDocente1['id_docente']?>"><?php echo $row_rstDocente1['profesor']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstDocente['id_docente']?>"><?php echo $row_rstDocente['profesor']?></option>
  <?php
} while ($row_rstDocente = mysql_fetch_assoc($rstDocente));
  $rows = mysql_num_rows($rstDocente);
  if($rows > 0) {
      mysql_data_seek($rstDocente, 0);
	  $row_rstDocente = mysql_fetch_assoc($rstDocente);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos (*)")."&nbsp;" ?></td>
<td class="dr"><input name="cupos" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cupos"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["annio"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode, $id_carrera, $sede, $id_periodo, $id_seccion, $semestre)
  {
  global $conn;
  global $turno;
  
  // $conn=connect();


$query_rstPeriodo = "SELECT periodos.id_periodo, periodos.codigo,periodos.annio FROM periodos WHERE id_periodo='$id_periodo'";
	$rstPeriodo = mysql_query($query_rstPeriodo, $conn) or die(mysql_error());
	$row_rstPeriodo = mysql_fetch_assoc($rstPeriodo);
	$totalRows_rstPeriodo = mysql_num_rows($rstPeriodo);
	$annio=$row_rstPeriodo['annio'];

mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_carrera='$id_carrera' and semestre='$semestre'";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstDocente = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes WHERE id_docente>0 ORDER BY docentes.apellidos,docentes.nombres";
$rstDocente = mysql_query($query_rstDocente, $conn) or die(mysql_error());
$row_rstDocente = mysql_fetch_assoc($rstDocente);
$totalRows_rstDocente = mysql_num_rows($rstDocente);

$query_rstTurnos = "SELECT codigo,turno FROM turnos";
  $rstTurnos = mysql_query($query_rstTurnos, $conn) or die(mysql_error());
  $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
  $totalRows_rstTurnos = mysql_num_rows($rstTurnos);

?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr">

<select style="width:600px" name="id_materia" onBlur="verificar_oferta(this.value,'<?php echo $id_carrera ?>','<?php echo $sede ?>','<?php echo $id_periodo ?>','<?php echo $id_seccion ?>','<?php echo $semestre ?>','<?php echo $turno ?>')" >
 <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstMaterias['id_materia']?>"><?php echo $row_rstMaterias['nombre_materia']?>&nbsp;(CÓDIGO:&nbsp;<?php echo $row_rstMaterias['id_materia']?>)</option>
  <?php
} while ($row_rstMaterias = mysql_fetch_assoc($rstMaterias));
  $rows = mysql_num_rows($rstMaterias);
  if($rows > 0) {
      mysql_data_seek($rstMaterias, 0);
	  $row_rstMaterias = mysql_fetch_assoc($rstMaterias);
  }
?>
</select>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0"></iframe>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horario")."&nbsp;" ?></td>
<td class="dr"><input name="horario" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["horario"])) ?>" size="50" maxlength="50"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Docente")."&nbsp;" ?></td>
<td class="dr">
<select name="id_profesor">
  <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstDocente['id_docente']?>"><?php echo $row_rstDocente['profesor']?></option>
  <?php
} while ($row_rstDocente = mysql_fetch_assoc($rstDocente));
  $rows = mysql_num_rows($rstDocente);
  if($rows > 0) {
      mysql_data_seek($rstDocente, 0);
	  $row_rstDocente = mysql_fetch_assoc($rstDocente);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cupos")."&nbsp;" ?></td>
<td class="dr"><input name="cupos" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cupos"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><input name="annio" type="text" onKeyPress="return soloNum(event)" value="<?php echo $annio ?>" size="4" maxlength="4"></td>
</tr>
<tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount, $id_carrera, $sede, $id_periodo, $id_seccion, $semestre)
{
 global $turno;
 global $nivel;
 global $pensum;
 global $mencion;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="secciones.php?a=reset&carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Regresar a Secciones</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="oferta_academica.php?a=add&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Agregar Oferta</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="oferta_academica.php?page=<?php echo $page - 1 ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="oferta_academica.php?page=<?php echo $j ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>"><?php echo $j ?>&mencion=<?php echo $mencion ?></a></td>
<?php } } } else { ?>
<td><a href="oferta_academica.php?page=<?php echo $startpage ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="oferta_academica.php?page=<?php echo $page + 1 ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre)
{
 global $turno;
 global $nivel;
 global $pensum;
 global $mencion;
 
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="oferta_academica.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="oferta_academica.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($id_carrera, $sede, $id_periodo, $id_seccion, $semestre)
{
global $turno;
global $nivel;
global $pensum;
global $mencion;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addOferta" enctype="multipart/form-data" action="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>" method="post" onSubmit="return validar_oferta()">
<p><input type="hidden" name="sql" value="insert"></p>
<input type="hidden" name="xid_periodo" value="<?php echo $id_periodo ?>">
<input type="hidden" name="xsede" value="<?php echo $sede ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $id_seccion ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $id_carrera ?>">
<input type="hidden" name="xsemestre" value="<?php echo $semestre ?>">
<input type="hidden" name="xturno" value="<?php echo $turno ?>">
<?php
$row = array(
  "id_periodo" => "",
  "sede" => "",
  "id_seccion" => "",
  "id_carrera" => "",
  "id_materia" => "",
  "nmateria" => "",
  "horario" => "",
  "id_profesor" => "",
  "nprofesor" => "",
  "cupos" => "",
  "inscritos" => "",
  "annio" => "",
  "preinscritos" => "");
showrowadd($row, false, $id_carrera, $sede, $id_periodo, $id_seccion, $semestre);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre)
{
  global $turno;
  global $nivel;
  global $pensum;
  global $mencion;

  $res = sql_select($id_carrera,$sede,$id_periodo, $id_seccion);
  $count = sql_getrecordcount($id_carrera,$sede,$id_periodo, $id_seccion);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count,$id_carrera,$sede,$id_periodo, $id_seccion, $semestre);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_academica.php?a=add&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Agregar Oferta</a></td>
<td><a href="oferta_academica.php?a=edit&recid=<?php echo $recid ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Editar Oferta</a></td>
<td><a href="oferta_academica.php?a=del&recid=<?php echo $recid ?>&id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>">Borrar Oferta</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid,$id_carrera,$sede,$id_periodo,$id_seccion, $semestre)
{
  global $turno;
  global $nivel;
  global $pensum;
  global $mencion;

  $res = sql_select($id_carrera,$sede,$id_periodo,$id_seccion);
  $count = sql_getrecordcount($id_carrera,$sede,$id_periodo,$id_seccion);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count,$id_carrera,$sede,$id_periodo,$id_seccion, $semestre);
?>
<br>
<form name="form1" id_"form1" enctype="multipart/form-data" action="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<?php showroweditor($row, true,$id_carrera,$sede,$id_periodo,$id_seccion, $semestre); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid,$id_carrera,$sede,$id_periodo,$id_seccion, $semestre)
{
  global $turno;
  global $nivel;
  global $pensum;
  global $mencion;
  
  $res = sql_select($id_carrera,$sede,$id_periodo,$id_seccion);
  $count = sql_getrecordcount($id_carrera,$sede,$id_periodo,$id_seccion);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count,$id_carrera,$sede,$id_periodo,$id_seccion, $semestre);
?>
<br>
<form action="oferta_academica.php?id_carrera=<?php echo $id_carrera ?>&sede=<?php echo $sede ?>&id_periodo=<?php echo $id_periodo ?>&id_seccion=<?php echo $id_seccion ?>&semestre=<?php echo $semestre ?>&turno=<?php echo $turno ?>&nivel=<?php echo $nivel ?>&pensum=<?php echo $pensum ?>&mencion=<?php echo $mencion ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_profesor" value="<?php echo $row["id_profesor"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($id_carrera,$sede,$id_periodo,$id_seccion)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $semestre;
  global $turno;
  global $nivel;
  global $pensum;
  global $mencion;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT * FROM `oferta_academica` WHERE id_carrera='$id_carrera' and sede='$sede' and id_periodo='$id_periodo' and id_seccion='$id_seccion' and semestre='$semestre' and turno='$turno' and nivel='$nivel' and pensum='$pensum' and mencion='$mencion'";
 
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_periodo` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`id_seccion` like '" .$filterstr ."') or (`id_carrera` like '" .$filterstr ."')  or (`id_materia` like '" .$filterstr ."') or (`nmateria` like '" .$filterstr ."') or (`horario` like '" .$filterstr ."') or (`id_profesor` like '" .$filterstr ."') or (`nprofesor` like '" .$filterstr ."') or (`cupos` like '" .$filterstr ."') or (`inscritos` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') or (`preinscritos` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($id_carrera,$sede,$id_periodo,$id_seccion)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $semestre;
  global $turno;
  global $nivel;
  global $pensum;
  global $mencion;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `oferta_academica` WHERE id_carrera='$id_carrera' and sede='$sede' and id_periodo='$id_periodo' and id_seccion='$id_seccion' and semestre='$semestre' and turno='$turno' and nivel='$nivel' and pensum='$pensum' and mencion='$mencion'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_periodo` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`id_seccion` like '" .$filterstr ."') or (`id_carrera` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`nmateria` like '" .$filterstr ."') or (`horario` like '" .$filterstr ."') or (`id_profesor` like '" .$filterstr ."') or (`nprofesor` like '" .$filterstr ."') or (`cupos` like '" .$filterstr ."') or (`inscritos` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') or (`preinscritos` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  
  global $nivel;
  global $turno;
  global $pensum;
  global $mencion;
  	// Valores tomados por defecto de la p�gina ofertar_cursos.php
	$xcarrera= @$_POST["xid_carrera"];  
	$xsede = @$_POST["xsede"];
	$xperiodo=@$_POST["xid_periodo"];
	$semestre= @$_POST["xsemestre"];
	$turno= @$_POST["xturno"];
	

	// Valores tomados del formulario enviados como datos ocultos.
	$xmateria=@$_POST["id_materia"];
	$xprofesor=@$_POST["id_profesor"];
  
	// $conn=connect();


	mysql_select_db($database_conn, $conn);
	  mysql_query ("SET NAMES 'utf8'");
	$query_rstPeriodoX = "SELECT periodos.id_periodo, periodos.codigo FROM periodos WHERE id_periodo='$xperiodo'";
	$rstPeriodoX = mysql_query($query_rstPeriodoX, $conn) or die(mysql_error());
	$row_rstPeriodoX = mysql_fetch_assoc($rstPeriodoX);
	$totalRows_rstPeriodoX = mysql_num_rows($rstPeriodoX);
	$nom_periodo=$row_rstPeriodoX["codigo"];
	
	
	$query_rstSedeX = "SELECT nombre_sede FROM sedes WHERE codigo='$xsede'";
	$rstSedeX = mysql_query($query_rstSedeX, $conn) or die(mysql_error());
	$row_rstSedeX = mysql_fetch_assoc($rstSedeX);
	$totalRows_rstSedeX = mysql_num_rows($rstSedeX);
	$nom_sede=$row_rstSedeX["nombre_sede"];
	

	$query_rstCarreraX = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras WHERE id_carrera='$xcarrera'";
	$rstCarreraX = mysql_query($query_rstCarreraX, $conn) or die(mysql_error());
	$row_rstCarreraX = mysql_fetch_assoc($rstCarreraX);
	$totalRows_rstCarreraX = mysql_num_rows($rstCarreraX);
	$nom_carrera=$row_rstCarreraX["nombre_carrera"];
	
	$query_rstMateriasX = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_materia='$xmateria' and id_carrera='$xcarrera'";
	$rstMateriasX = mysql_query($query_rstMateriasX, $conn) or die(mysql_error());
	$row_rstMateriasX = mysql_fetch_assoc($rstMateriasX);
	$totalRows_rstMateriasX = mysql_num_rows($rstMateriasX);
	$nom_materia=$row_rstMateriasX["nombre_materia"]; 
	

	$query_rstDocenteX = "SELECT concat(docentes.apellidos,' ', docentes.nombres) AS profesor FROM docentes WHERE id_docente='$xprofesor'";
	$rstDocenteX = mysql_query($query_rstDocenteX, $conn) or die(mysql_error());
	$row_rstDocenteX = mysql_fetch_assoc($rstDocenteX);
	$totalRows_rstDocenteX = mysql_num_rows($rstDocenteX);
	$nom_profesor=$row_rstDocenteX["profesor"];
	$inscritos=0;
	$preinscritos=0;

  
  $sql = "insert into `oferta_academica` (`id_periodo`,`sede`, `id_seccion`, `id_carrera`,`id_materia`,`nmateria`, `horario`, `id_profesor`, `nprofesor`, `cupos`, `inscritos`, `annio`, `preinscritos`,`semestre`,`turno`,`nivel`,`pensum`,`mencion`) values (" .sqlvalue(@$_POST["xid_periodo"], true).", " .sqlvalue(@$_POST["xsede"], true).", " .sqlvalue(@$_POST["xid_seccion"], true).", " .sqlvalue(@$_POST["xid_carrera"], true).", " .sqlvalue(@$_POST["id_materia"], true).", '$nom_materia', " .sqlvalue(@$_POST["horario"], true).", " .sqlvalue(@$_POST["id_profesor"], false).", '$nom_profesor', " .sqlvalue(@$_POST["cupos"], false).", '$inscritos', " .sqlvalue(@$_POST["annio"], true).", '$preinscritos', '$semestre', '$turno','$nivel', '$pensum', '$mencion')";
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Crea el registro de ponderaciones para la sección creada. 
   $sql = "insert into `ponderaciones` (`sede`, `lapso`, `programa`, `pensum`, `mencion`, `seccion`,`turno`, `semestre`, `materia`,`id_docente`) values (" .sqlvalue(@$_POST["xsede"], true).", " .sqlvalue(@$_POST["xid_periodo"], true).", " .sqlvalue(@$_POST["xid_carrera"], true).", '$pensum', '$mencion', " .sqlvalue(@$_POST["xid_seccion"], true).", '$turno', '$semestre', " .sqlvalue(@$_POST["id_materia"], true).", " .sqlvalue(@$_POST["id_profesor"], false).")";

  mysql_query($sql, $conn) or die(mysql_error());
 
 
}

function sql_update()
{
  global $conn;
  global $_POST;
  
  global $nivel;
  global $turno;
  global $mencion;
  global $pensum;
  
  // Valores tomados por defecto de la p�gina ofertar_cursos.php
	$xcarrera= @$_POST["xid_carrera"];  
	$xsede = @$_POST["xsede"];
	$xperiodo=@$_POST["xid_periodo"];
	$semestre= @$_POST["xsemestre"];
	$xseccion=@$_POST["xid_seccion"];

	// Valores tomados del formulario enviados como datos ocultos.
	$xmateria=@$_POST["xid_materia"];
	$xprofesor=@$_POST["id_profesor"];
  
	// $conn=connect();


	mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");
	$query_rstPeriodoX = "SELECT periodos.id_periodo, periodos.codigo FROM periodos WHERE id_periodo='$xperiodo'";

	$rstPeriodoX = mysql_query($query_rstPeriodoX, $conn) or die(mysql_error());
	$row_rstPeriodoX = mysql_fetch_assoc($rstPeriodoX);
	$totalRows_rstPeriodoX = mysql_num_rows($rstPeriodoX);
	$nom_periodo=$row_rstPeriodoX["codigo"];
	

	$query_rstSedeX = "SELECT nombre_sede FROM sedes WHERE codigo='$xsede'";
	$rstSedeX = mysql_query($query_rstSedeX, $conn) or die(mysql_error());
	$row_rstSedeX = mysql_fetch_assoc($rstSedeX);
	$totalRows_rstSedeX = mysql_num_rows($rstSedeX);
	$nom_sede=$row_rstSedeX["nombre_sede"];
	

	$query_rstCarreraX = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras WHERE id_carrera='$xcarrera'";

	$rstCarreraX = mysql_query($query_rstCarreraX, $conn) or die(mysql_error());
	$row_rstCarreraX = mysql_fetch_assoc($rstCarreraX);
	$totalRows_rstCarreraX = mysql_num_rows($rstCarreraX);
	$nom_carrera=$row_rstCarreraX["nombre_carrera"];
	

	$query_rstMateriasX = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_materia='$xmateria' and id_carrera='$xcarrera'";

	$rstMateriasX = mysql_query($query_rstMateriasX, $conn) or die(mysql_error());
	$row_rstMateriasX = mysql_fetch_assoc($rstMateriasX);
	$totalRows_rstMateriasX = mysql_num_rows($rstMateriasX);
	$nom_materia=$row_rstMateriasX["nombre_materia"]; 
	
	
	$query_rstDocenteX = "SELECT concat(docentes.apellidos,' ', docentes.nombres) AS profesor FROM docentes WHERE id_docente='$xprofesor'";
	$rstDocenteX = mysql_query($query_rstDocenteX, $conn) or die(mysql_error());
	$row_rstDocenteX = mysql_fetch_assoc($rstDocenteX);
	$totalRows_rstDocenteX = mysql_num_rows($rstDocenteX);
	$nom_profesor=$row_rstDocenteX["profesor"];
 
  // Actualizo el Docente asignado a la unidad curricular.
  $sql = "update `oferta_academica` set `id_profesor`=" .sqlvalue(@$_POST["id_profesor"], false).", `nprofesor`='$nom_profesor', `cupos`=" .sqlvalue(@$_POST["cupos"], false).", `horario`=" .sqlvalue(@$_POST["horario"], true)." Where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
  $sql = "update `ponderaciones` set id_docente=" .sqlvalue(@$_POST["id_profesor"], false)."  Where sede='$xsede' and lapso='$xperiodo' and programa='$xcarrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and seccion='$xseccion' and turno='$turno' and semestre='$semestre' and materia='$xmateria'";
  echo $sql;
  mysql_query($sql, $conn) or die(mysql_error());
  
  // Actualiza el docente en la tabla inscripciones.
   $sql = "update `inscripciones` set `id_docente`='$xprofesor' WHERE id_periodo='$xperiodo' and id_carrera='$xcarrera' and id_materia='$xmateria' and sede='$xsede' and id_seccion='$xseccion'  and semestre='$semestre'";
  mysql_query($sql, $conn) or die(mysql_error());

}

function sql_delete()
{
  global $conn;
  $carrera=@$_POST["xid_carrera"];
  $materia=@$_POST["xid_materia"];
  $sede=@$_POST["xsede"];
  $periodo=@$_POST["xid_periodo"];
  $seccion=@$_POST["xid_seccion"];
  $turno=$_POST["xturno"];
  $semestre=$_POST["xsemestre"];
  $profesor=@$_POST["xid_profesor"];
  global $pensum;
  global $nivel;
  global $mencion;
    
  $sql = "SELECT * FROM inscripciones where sede='$sede' and id_seccion='$seccion' and id_carrera='$carrera' and id_periodo='$periodo' and semestre='$semestre' and turno='$turno'";
  
  $rst = mysql_query($sql, $conn) or die(mysql_error());
  $rows = mysql_num_rows($rst);
  if($rows>0){
     // Evita borrar la materia ofertada si tiene alumnos al menos un alumno inscrito.
     ?>
	   <script type="text/javascript">
	      msj="Acción Inválida.  Unidad Curricular tiene alumnos inscritos"
	 	  alert(msj);
	    </script>
			 
	 <?php
  }
  else{
    $sql = "delete from `oferta_academica` where " .primarykeycondition()." LIMIT 1";;
    mysql_query($sql, $conn) or die(mysql_error());
	
	 $sql = "delete from `ponderaciones` Where sede='$sede' and lapso='$periodo' and programa='$carrera' and pensum='$pensum' and mencion='$mencion' and seccion='$seccion' and turno='$turno' and semestre='$semestre' and materia='$materia' LIMIT 1";
  mysql_query($sql, $conn) or die(mysql_error());
  }
}

function primarykeycondition()
{
  global $_POST;
  global $nivel;
  global $pensum;
  global $mencion;
  
  $pk = "";
  $pk .= "(`id_periodo`";
  if (@$_POST["xid_periodo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_periodo"], true);
  };
  $pk .= ") and ";
  $pk .= "(`sede`";
  if (@$_POST["xsede"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsede"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_seccion`";
  if (@$_POST["xid_seccion"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_seccion"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ") and ";
  $pk .= "(`semestre`";
  if (@$_POST["xsemestre"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsemestre"], true);
  };
  $pk .= ") and ";
  $pk .= "(`turno`";
  if (@$_POST["xturno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xturno"], true);
  };
  $pk .= ") and ";
  $pk .= "(`pensum`";
  if (@$pensum == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$pensum, true);
  };
  $pk .= ") and ";
  $pk .= "(`nivel`";
  if (@$nivel == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$nivel, true);
  };
  $pk .= ") and ";
  $pk .= "(`mencion`";
  if (@$mencion == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$mencion, true);
  };
  $pk .= ")";
  return $pk;
}
 ?>
 
 <script type="text/javascript">
	
	function validar_oferta()
	{
	 	if(document.addOferta.id_materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.addOferta.id_materia.focus();
			return false;
			}
		if(document.addOferta.horario.value==""){
			alert("El campo <<Horario>> es obligatorio");
			document.addOferta.horario.focus();
			return false;
			}	
		if(document.addOferta.id_profesor.value==0){
			alert("El campo <<Facilitador>> es obligatorio");
			document.addOferta.id_profesor.focus();
			return false;
			}	
		if(document.addOferta.cupos.value==""){
			alert("El campo <<Cupos>> es obligatorio");
			document.addOferta.cupos.focus();
			return false;
			}	
		
			return true;
	}
	
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>

<script type="text/javascript">	
function verificar_oferta(materia, carrera, sede, periodo, seccion, semestre, turno)
{


 url="validar_materia_ofertada.php?materia="+materia+"&carrera="+carrera+"&sede="+sede+"&periodo="+periodo+"&seccion="+seccion+"&semestre="+semestre+"&turno="+turno;
	 frame1.location=url;

 	
}


</script>

